;
; Configuration of the driver setup wizard
;

; general settings that apply to all driver packages
[setup_common]

CompanyName=Roland Corporation

ProductName=Roland USB Audio Driver for Rubix Series

ProductVersion=1.0.0

SupportURL=https://www.roland.com/

ShowLicenseText=0

UseCustomizedBitmap=1

SetupRegPath=Software\Roland\RolandRubix\Setup

DefaultInstDir=Roland\Rubix_Driver

CertificateFile=roland.cer
    
CopyFiles=



; settings that apply only to driver package 1 provided for 32 bit operating systems
[setup_x86.package_1]

SupportedOS=7, 8, 8.1

SubDir=W7W8

CopyFiles=RolandRubix.sys, RolandRubixks.sys, RolandRubix.cat, RolandRubixks.cat, custom.ini, RolandRubixCplApp.xml

InfUSB=RolandRubix.inf

InfKS=RolandRubixks.inf

RegisterFiles=RolandRubixapi.dll, RolandRubixasio.dll

ControlPanelExe=RolandRubixCplApp.exe

ShortCut1=$SM_PROG_ALL_USERS|Roland Rubix|Rubix Control Panel.lnk|$INSTDIR\W7W8\RolandRubixCplApp.exe||


; settings that apply only to driver package 1 provided for 64 bit operating systems
[setup_x64.package_1]

SupportedOS=7, Server2008R2, HomeServer2011, 8, Server2012, 8.1, Server2012R2, Server2016

SubDir=W7W8

CopyFiles=RolandRubix_x64.sys, RolandRubixks_x64.sys, RolandRubix.cat, RolandRubixks.cat, custom.ini, RolandRubixCplApp.xml

InfUSB=RolandRubix.inf

InfKS=RolandRubixks.inf

RegisterFiles=RolandRubixapi.dll,RolandRubixapi_x64.dll, RolandRubixasio.dll, RolandRubixasio_x64.dll

ControlPanelExe=RolandRubixCplApp.exe

ShortCut1=$SM_PROG_ALL_USERS|Roland Rubix|Rubix Control Panel.lnk|$INSTDIR\W7W8\RolandRubixCplApp.exe||


; settings that apply only to driver package 1 provided for 32 bit operating systems
[setup_x86.package_2]

SupportedOS=10

SubDir=W10

CopyFiles=RolandRubix.sys, RolandRubixks.sys, RolandRubix.cat, RolandRubixks.cat, custom.ini, RolandRubixCplApp.xml

InfUSB=RolandRubix.inf

InfKS=RolandRubixks.inf

RegisterFiles=RolandRubixapi.dll, RolandRubixasio.dll

ControlPanelExe=RolandRubixCplApp.exe

ShortCut1=$SM_PROG_ALL_USERS|Roland\Rubix_Driver|Rubix Control Panel.lnk|$INSTDIR\W10\RolandRubixCplApp.exe||


; settings that apply only to driver package 1 provided for 64 bit operating systems
[setup_x64.package_2]

SupportedOS=10

SubDir=W10

CopyFiles=RolandRubix_x64.sys, RolandRubixks_x64.sys, RolandRubix.cat, RolandRubixks.cat, custom.ini, RolandRubixCplApp.xml

InfUSB=RolandRubix.inf

InfKS=RolandRubixks.inf

RegisterFiles=RolandRubixapi.dll,RolandRubixapi_x64.dll, RolandRubixasio.dll, RolandRubixasio_x64.dll

ControlPanelExe=RolandRubixCplApp.exe

ShortCut1=$SM_PROG_ALL_USERS|Roland\Rubix_Driver|Rubix Control Panel.lnk|$INSTDIR\W10\RolandRubixCplApp.exe||
